- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- ChatAppConfigView
- Try it!
Gets the Chat app configuration of a project. Only Chat apps built as Google Workspace add-ons are supported. Each Google Cloud project has exactly one Chat app configuration.
Requires authenticating and authorizing with user credentials and the gsuiteaddons.chatAppConfigs.get and chat.bots.get IAM permissions on the project.
HTTP request
GET https://gsuiteaddons.googleapis.com/v1/{name=projects/*/chatAppConfig}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Resource name of the Chat app configuration. Format: Authorization requires the following IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
view |
Optional. The view of the ChatAppConfig to return. If unspecified, defaults to |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of ChatAppConfig.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/cloud-platform.read-only
For more information, see the Authorization guide.
ChatAppConfigView
A view that specifies which fields should be populated in the ChatAppConfig resource.
| Enums | |
|---|---|
CHAT_APP_CONFIG_VIEW_UNSPECIFIED |
The default or unset value. Defaults to BASIC. |
BASIC |
Populates only the basic metadata about the app configuration, without the interactive feature configuration. This is the default value. |
FULL |
Populates all the fields including the interactive feature configurations. |